Bug 201665 - Incorrect state in X11 keyboard events
Incorrect state in X11 keyboard events
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: xorg-x11-server (Show other bugs)
8
All Linux
medium Severity medium
: ---
: ---
Assigned To: Peter Hutterer
David Lawrence
bzcl34nup
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-08-07 21:58 EDT by Jeff Rubin
Modified: 2008-07-20 19:47 EDT (History)
2 users (show)

See Also:
Fixed In Version: 9
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-07-20 19:47:59 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
xorg.conf (4.13 KB, text/plain)
2007-01-11 12:56 EST, Jeff Rubin
no flags Details
Xorg.*.log (20.12 KB, text/plain)
2007-01-11 12:57 EST, Jeff Rubin
no flags Details

  None (edit)
Description Jeff Rubin 2006-08-07 21:58:24 EDT
Description of problem: I run xev and press the left Shift button,
then the left Alt button and then the "m" key.  xev reports the
state field as 0x10, 0x11, and 0x11 respectively on the three
KeyPress events.  This is not 100% reproducible (see below).  When
it is not failing, the three consecutive state values are
0x10, 0x11, and 0x19.


Version-Release number of selected component (if applicable):


How reproducible: About 50%.


Steps to Reproduce:
1. Logout
2. Login
3. run xev
  
Actual results:
KeyPress event, serial 29, synthetic NO, window 0x2a00001,
    root 0x135, subw 0x0, time 3942674305, (-556,976), root:(2008,1000),
    state 0x10, keycode 50 (keysym 0xffe1, Shift_L), same_screen YES,
    XLookupString gives 0 bytes:
    XmbLookupString gives 0 bytes:
    XFilterEvent returns: False

KeyPress event, serial 29, synthetic NO, window 0x2a00001,
    root 0x135, subw 0x0, time 3942674694, (-556,976), root:(2008,1000),
    state 0x11, keycode 64 (keysym 0xffe7, Meta_L), same_screen YES,
    XLookupString gives 0 bytes:
    XmbLookupString gives 0 bytes:
    XFilterEvent returns: False

KeyPress event, serial 29, synthetic NO, window 0x2a00001,
    root 0x135, subw 0x0, time 3942676646, (-556,976), root:(2008,1000),
    state 0x11, keycode 59 (keysym 0x3c, less), same_screen YES,
    XKeysymToKeycode returns keycode: 94
    XLookupString gives 1 bytes: (3c) "<"
    XmbLookupString gives 1 bytes: (3c) "<"
    XFilterEvent returns: False


Expected results:

The last reported state should have been 0x19

Additional info: The reason I noticed this and the reason that
it is so annoying is that I have an emacs binding that it screws
up.  It matters what order I press Shift and Alt in, and it matters
whether I use the left or right Shift and Alt.  Of those 4 combinations,
only Shift-L followed by Alt-L fails.
Comment 1 Jeff Rubin 2006-08-07 22:00:56 EDT
I meant to say that I pressed the "<" key, not the "m" key.
Comment 2 Matěj Cepl 2006-12-22 12:27:34 EST
Thanks for the bug report.  We have reviewed the information you have provided
above, and there is some additional information we require that will be helpful
in our diagnosis of this issue.

Please attach your X server config file (/etc/X11/xorg.conf) and X server log
file (/var/log/Xorg.*.log) to the bug report as individual uncompressed file
attachments using the bugzilla file attachment link below.

Could you please also include in a comment output of the command

setxkbmap -print

please?

We will review this issue again once you've had a chance to attach this information.

Thanks in advance.
Comment 3 Jeff Rubin 2007-01-11 12:56:26 EST
Created attachment 145373 [details]
xorg.conf
Comment 4 Jeff Rubin 2007-01-11 12:57:35 EST
Created attachment 145374 [details]
Xorg.*.log
Comment 5 Jeff Rubin 2007-01-11 13:00:12 EST
I have attached the two requested files.  Also, here is
the output of setxkbmap -print:

xkb_keymap {
        xkb_keycodes  { include "xfree86+aliases(qwerty)"       };
        xkb_types     { include "complete"      };
        xkb_compat    { include "complete"      };
        xkb_symbols   { include "pc(pc105)+us"  };
        xkb_geometry  { include "pc(pc105)"     };
};
Comment 6 Matěj Cepl 2007-07-03 09:50:55 EDT
Fedora Core 5 is no longer supported, please, could you reproduce this bug with
the updated version of the currently supported distribution (Fedora Core 6, or
Fedora 7, or Rawhide)? If this issue turns out to still be reproducible, please
let us know in this bug report.  If after a month's time we have not heard back
from you, we will have to close this bug as CANTFIX/INSUFFICIENT_DATA.

Setting status to NEEDINFO, and awaiting information from the reporter.

Thanks in advance.
Comment 7 Jeff Rubin 2007-07-03 18:19:33 EDT
This bug still exists in FC6.  However, the results from xev in both the
working and nonworking cases are different than originally reported.

Here are the non-working results:

KeyPress event, serial 29, synthetic NO, window 0x3800001,
    root 0x4d, subw 0x0, time 2378098200, (-163,42), root:(353,102),
    state 0x0, keycode 50 (keysym 0xffe1, Shift_L), same_screen YES,
    XLookupString gives 0 bytes:
    XmbLookupString gives 0 bytes:
    XFilterEvent returns: False

KeyPress event, serial 29, synthetic NO, window 0x3800001,
    root 0x4d, subw 0x0, time 2378099874, (-163,42), root:(353,102),
    state 0x1, keycode 64 (keysym 0xffe7, Meta_L), same_screen YES,
    XLookupString gives 0 bytes:
    XmbLookupString gives 0 bytes:
    XFilterEvent returns: False

KeyPress event, serial 29, synthetic NO, window 0x3800001,
    root 0x4d, subw 0x0, time 2378101586, (-163,42), root:(353,102),
    state 0x1, keycode 58 (keysym 0x4d, M), same_screen YES,
    XLookupString gives 1 bytes: (4d) "M"
    XmbLookupString gives 1 bytes: (4d) "M"
    XFilterEvent returns: False

and here are the working results:

KeyPress event, serial 29, synthetic NO, window 0x3400001,
    root 0x4d, subw 0x0, time 2378235612, (-197,10), root:(319,70),
    state 0x0, keycode 50 (keysym 0xffe1, Shift_L), same_screen YES,
    XLookupString gives 0 bytes:
    XmbLookupString gives 0 bytes:
    XFilterEvent returns: False

KeyPress event, serial 29, synthetic NO, window 0x3400001,
    root 0x4d, subw 0x0, time 2378238255, (-197,10), root:(319,70),
    state 0x1, keycode 64 (keysym 0xffe7, Meta_L), same_screen YES,
    XLookupString gives 0 bytes:
    XmbLookupString gives 0 bytes:
    XFilterEvent returns: False

KeyPress event, serial 29, synthetic NO, window 0x3400001,
    root 0x4d, subw 0x0, time 2378240979, (-197,10), root:(319,70),
    state 0x9, keycode 58 (keysym 0x4d, M), same_screen YES,
    XLookupString gives 1 bytes: (4d) "M"
    XmbLookupString gives 1 bytes: (4d) "M"
    XFilterEvent returns: False
Comment 8 Matěj Cepl 2007-12-10 04:22:46 EST
Fedora Core 6 is no longer supported, could you please reproduce this with the
updated version of the currently supported distribution (Fedora 7, 8, or
Rawhide)? If this issue turns out to still be reproducible, please let us know
in this bug report. If after a month's time we have not heard back from you, we
will have to close this bug as CANTFIX.

Setting status to NEEDINFO, and awaiting information from the reporter.

[This is mass-filed message to all open Fedora Core 6 bugs related to Xorg or
Gecko. If you see any other reason, why this bug shouldn't be closed, please,
comment on it here.]
Comment 9 Jeff Rubin 2007-12-17 21:26:37 EST
This bug still exists in FC8.  Here are the results from xev for both the
working and non-working cases.

Here are the non-working results:

KeyPress event, serial 30, synthetic NO, window 0x3200001,
    root 0x1a6, subw 0x0, time 3942695629, (120,109), root:(124,128),
    state 0x10, keycode 50 (keysym 0xffe1, Shift_L), same_screen YES,
    XLookupString gives 0 bytes:
    XmbLookupString gives 0 bytes:
    XFilterEvent returns: False

KeyPress event, serial 30, synthetic NO, window 0x3200001,
    root 0x1a6, subw 0x0, time 3942697083, (120,109), root:(124,128),
    state 0x11, keycode 64 (keysym 0xffe7, Meta_L), same_screen YES,
    XLookupString gives 0 bytes:
    XmbLookupString gives 0 bytes:
    XFilterEvent returns: False

KeyPress event, serial 30, synthetic NO, window 0x3200001,
    root 0x1a6, subw 0x0, time 3942698686, (120,109), root:(124,128),
    state 0x11, keycode 59 (keysym 0x3c, less), same_screen YES,
    XKeysymToKeycode returns keycode: 94
    XLookupString gives 1 bytes: (3c) "<"
    XmbLookupString gives 1 bytes: (3c) "<"
    XFilterEvent returns: False

and here are the working results:

KeyPress event, serial 30, synthetic NO, window 0x3200001,
    root 0x1a6, subw 0x0, time 3943072871, (169,-10), root:(700,52),
    state 0x10, keycode 50 (keysym 0xffe1, Shift_L), same_screen YES,
    XLookupString gives 0 bytes:
    XmbLookupString gives 0 bytes:
    XFilterEvent returns: False

KeyPress event, serial 30, synthetic NO, window 0x3200001,
    root 0x1a6, subw 0x0, time 3943076689, (169,-10), root:(700,52),
    state 0x11, keycode 64 (keysym 0xffe7, Meta_L), same_screen YES,
    XLookupString gives 0 bytes:
    XmbLookupString gives 0 bytes:
    XFilterEvent returns: False

KeyPress event, serial 30, synthetic NO, window 0x3200001,
    root 0x1a6, subw 0x0, time 3943078464, (169,-10), root:(700,52),
    state 0x19, keycode 59 (keysym 0x3c, less), same_screen YES,
    XKeysymToKeycode returns keycode: 94
    XLookupString gives 1 bytes: (3c) "<"
    XmbLookupString gives 1 bytes: (3c) "<"
    XFilterEvent returns: False
Comment 10 Bug Zapper 2008-04-03 23:28:15 EDT
Fedora apologizes that these issues have not been resolved yet. We're
sorry it's taken so long for your bug to be properly triaged and acted
on. We appreciate the time you took to report this issue and want to
make sure no important bugs slip through the cracks.

If you're currently running a version of Fedora Core between 1 and 6,
please note that Fedora no longer maintains these releases. We strongly
encourage you to upgrade to a current Fedora release. In order to
refocus our efforts as a project we are flagging all of the open bugs
for releases which are no longer maintained and closing them.
http://fedoraproject.org/wiki/LifeCycle/EOL

If this bug is still open against Fedora Core 1 through 6, thirty days
from now, it will be closed 'WONTFIX'. If you can reporduce this bug in
the latest Fedora version, please change to the respective version. If
you are unable to do this, please add a comment to this bug requesting
the change.

Thanks for your help, and we apologize again that we haven't handled
these issues to this point.

The process we are following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.

And if you'd like to join the bug triage team to help make things
better, check out http://fedoraproject.org/wiki/BugZappers
Comment 11 Jeff Rubin 2008-04-04 01:03:22 EDT
I changed the version to 8, as this bug still occurs in Fedora 8
Comment 12 Peter Hutterer 2008-07-17 22:43:50 EDT
I can't see this problem on F9, suggesting that I may have been fixed upstream.
Can you confirm this?
Comment 13 Jeff Rubin 2008-07-18 12:05:13 EDT
I have logged in to F9 about a half dozen times and
have not seen the bug.  It looks like it did get fixed.
Comment 14 Peter Hutterer 2008-07-20 19:47:59 EDT
Calling it fixed then, please reopen if it occurs again.

Note You need to log in before you can comment on or make changes to this bug.